/* HTML RESET START */
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body{
	background: black;
}
/* HTML RESET END */



/* NAVBAR START--------------------------------------------------------------------------------------------------------------------------------------------------- */

/* LOGO START*/
.navbar-brand{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size: 50px;
	line-height: 50px;
	/* identical to box height */
	text-align: center;
	background: linear-gradient(135deg, #71b7e6, #9b59b6);
	-webkit-background-clip: text;
	color: transparent;
}

.navbar-brand:hover{
	background: linear-gradient(-135deg, #71b7e6, #9b59b6);
	-webkit-background-clip: text;
	color: transparent;
}
/* LOGO END*/

/* NAVBAR UNDERLINE HOVER START*/
.navbar-nav{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size: 35px;
	line-height: 35px;
	/* identical to box height */
	text-align: justify;
}

.nav-link{
	transition: all 0.2s;
}

.nav-link:hover{
	border-bottom: 3px solid;
	border-color:  #9b59b6;
}
/* NAVBAR UNDERLINE HOVER START*/

/* NAVBAR TOGGLER COLOR START*/
.navbar .navbar-toggler-icon{
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%2870, 140	, 213, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.navbar .navbar-toggler{
	border: 0 solid white;
	background: black;
	border-radius: 1px;
	position: relative;
	text-align: center;
	box-sizing: border-box;
}

.navbar .navbar-toggler::before{
	border-radius: 2px;
	width: calc(100% + 4px);
	height: calc(100% + 4px);
	content: '';
	background-image: linear-gradient(135deg, #71b7e6, #9b59b6);
	padding: 2px;
	top: -2px;
	left: -2px;
	position: absolute;
	z-index: -1;
}
/* NAVBAR TOGGLER COLOR END*/

/* NAVBAR END--------------------------------------------------------------------------------------------------------------------------------------------------- */



/* HOME CSS START--------------------------------------------------------------------------------------------------------------------------------------------------- */
#home {
	background-image: url(./images/background.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}


#home-text h1{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size: 60px;
	line-height: 60px;
	/* identical to box height */
	text-align: start;
	color: white;
}

#home-text p{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size: 40px;
	line-height: 30px;
	/* identical to box height */
	text-align: justify;
	color: white;
}

#home-text button{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size: 30px;
	line-height: 30px;
	/* identical to box height */
	text-align: center;
	color: white;
	background: linear-gradient(135deg, #71b7e6, #9b59b6);
	border: none;
}



/* ABOUT CSS START--------------------------------------------------------------------------------------------------------------------------------------------------- */
#about h1{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size:60px;
	line-height: 60px;
	/* identical to box height */
	text-align: center;
	color: white;
}

#about h2{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size:45px;
	line-height: 60px;
	/* identical to box height */
	text-align: center;
	color: white;
}

#about p{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size: 30px;
	line-height: 30px;
	/* identical to box height */
	text-align: center;
	color: white;
}

/* Cards Shadow Linear-gradient Start */
.box-1,
.box-2,
.box-3{
	background: black;
	margin-top: 5vh;
	margin-left: 3vw;
}

.box-1:hover,
.box-2:hover,
.box-3:hover{
	
	background: linear-gradient(-135deg, #71b7e6, #9b59b6);

}

.box-1::before,
.box-2::before,
.box-3::before{
	content: '';
	position: absolute;
	top:-2px;
	left: -2px;
	right: -2px;
	bottom: -2px;
	background: white;
	z-index: -1;
	filter: blur(50px);
	background: linear-gradient(135deg, #71b7e6, #9b59b6);
}

/* Cards Shadow Linear-gradient End */





/* ABOUT CSS END--------------------------------------------------------------------------------------------------------------------------------------------------- */



/* PROJECT CSS START--------------------------------------------------------------------------------------------------------------------------------------------------- */
#project h1{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size:60px;
	line-height: 60px;
	/* identical to box height */
	text-align: center;
	color: white;
}

#project h2{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size:45px;
	line-height: 60px;
	/* identical to box height */
	text-align: center;
	color: white;
}

#project p{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size: 30px;
	line-height: 30px;
	/* identical to box height */
	text-align: center;
	color: white;
}


/* Project-1 Animation Start*/
.project-1{
	display: flex;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
	padding: 40px 0;
}

.project-1 .para{
	position: relative;
	width: 400px;
	height: 400px;
	display: block;
	justify-content: center;
	align-items: center;
	transition: 0.5s;
}

.project-1 .para::before
{
	content: '';
	position: absolute;
	top: 0;
	left: 50px;
	width: 50%;
	height: 100%;
	background: #fff;
	border-radius: 8px;
	transform: skewX(15deg);
	transition: 0.5s;
	z-index: -1;
	margin-left: 25px;
	margin-top: -50px;

}

.project-1 .para::after
{
	content: '';
	position: absolute;
	top: 0;
	left: 50px;
	width: 50%;
	height: 100%;
	background: #fff;
	border-radius: 8px;
	transform: skewX(15deg);
	transition: 0.5s;
	filter: blur(30px);
	transition: 0.5s;
	z-index: -1;
}

.project-1 .para:hover:before,
.project-1 .para:hover:after
{
	transform: skewX(0deg);
	left: 20px;
	width: calc(100% - 90px);
}

.project-1 .para:nth-child(1):before,
.project-1 .para:nth-child(1):after
{
	background: linear-gradient(135deg, #71b7e6, #9b59b6);
}
/* Project-1 Animation End */



/* Project-2 Animation Start */

.project-2{
	display: flex;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
	padding: 40px 0;
}

.project-2 .para{
	position: relative;
	width: 400px;
	height: 400px;
	display: block;
	justify-content: center;
	align-items: center;
	transition: 0.5s;
}

.project-2 .para::before
{
	content: '';
	position: absolute;
	top: 0;
	left: 50px;
	width: 50%;
	height: 100%;
	background: #fff;
	border-radius: 8px;
	transform: skewX(-15deg);
	transition: 0.5s;
	z-index: -1;
	margin-left: 25px;
	margin-top: -50px;

}

.project-2 .para::after{
	content: '';
	position: absolute;
	top: 0;
	left: 50px;
	width: 50%;
	height: 100%;
	background: #fff;
	border-radius: 8px;
	transform: skewX(-15deg);
	transition: 0.5s;
	filter: blur(30px);
	transition: 0.5s;
	z-index: -1;
}

.project-2 .para:hover:before,
.project-2 .para:hover:after{
	transform: skewX(0deg);
	left: 20px;
	width: calc(100% - 90px);
}

.project-2 .para:nth-child(1):before,
.project-2 .para:nth-child(1):after{
	background: linear-gradient(-135deg, #71b7e6, #9b59b6);
}
/* Project-2 Animation End */



/* PROJECT CSS END--------------------------------------------------------------------------------------------------------------------------------------------------- */



/* TOOLS CSS START--------------------------------------------------------------------------------------------------------------------------------------------------- */


#tools h1{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size:60px;
	line-height: 60px;
	/* identical to box height */
	text-align: center;
	color: white;
}

#tools h2{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size:45px;
	line-height: 60px;
	/* identical to box height */
	text-align: center;
	color: white;
}



/* Tools animated Linear-gradient Start */
.tools-1,
.tools-2,
.tools-3,
.tools-4,
.tools-5,
.tools-6,
.tools-7,
.tools-8,
.tools-9,
.tools-10{
	position: relative;
	transform: rotate(45deg);
	display: flex;
	justify-content: center;
	align-items: center;
	height: 150px;
	width: 150px;
	z-index: -1;
	overflow: hidden;
	border-radius: 20px;
	margin-top: -30px;
	z-index: 1;
}

.tools-1 img,
.tools-2 img,
.tools-3 img,
.tools-4 img,
.tools-5 img,
.tools-6 img,
.tools-7 img,
.tools-8 img,
.tools-9 img,
.tools-10 img{
	z-index: 3;
	transform: rotate(-45deg);
}

.tools-1:before,
.tools-2:before,
.tools-3:before,
.tools-4:before,
.tools-5:before,
.tools-6:before,
.tools-7:before,
.tools-8:before,
.tools-9:before,
.tools-10:before{
	content: '';
	position: absolute;
	width: 100px;
	height: 190px;
	background: linear-gradient(135deg, #71b7e6, #9b59b6);
	animation: animate 4s linear infinite;
}

.tools-1:after,
.tools-2:after,
.tools-3:after,
.tools-4:after,
.tools-5:after,
.tools-6:after,
.tools-7:after,
.tools-8:after,
.tools-9:after,
.tools-10:after{
	content: '';
	position: absolute;
	inset: 4px;
	background: black;
}

@keyframes animate
{
	0%
	{
		transform: rotate(0deg);
	}

	100%
	{
		transform: rotate(360deg);
	}
}

#tools-1:hover,
#tools-2:hover,
#tools-3:hover,
#tools-4:hover,
#tools-5:hover,
#tools-6:hover,
#tools-7:hover,
#tools-8:hover,
#tools-9:hover,
#tools-10:hover
{
	transform: scale(1.5) rotate(-45deg);

}

/* Tools animated Linear-gradient End*/



/* TOOLS CSS END--------------------------------------------------------------------------------------------------------------------------------------------------- */


/* CONTACT CSS START--------------------------------------------------------------------------------------------------------------------------------------------------- */
#contact {
	background: linear-gradient(135deg, #71b7e6, #9b59b6);
}

#Contact-form h1{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size:60px;
	line-height: 60px;
	/* identical to box height */
	text-align: center;
	color: white;
}

#contact h1{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size:60px;
	line-height: 60px;
	/* identical to box height */
	text-align: start;
	color: white;
}

#Contact-form{
	background: rgba(0, 0, 0, 0.8);	
	box-shadow: 50px 50px 50px rgba(0, 0, 0, 0.6);
}

#Contact-form label{
font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size:45px;
	line-height: 60px;
	/* identical to box height */
	text-align: center;
	color: white;
}


#Contact-form input,
#Contact-form textarea{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size: 30px;
	line-height: 30px;
	/* identical to box height */
	text-align: start;
	color: black;
}

#Contact-form button{
	font-family: 'Dongle';
	font-style: normal;
	font-weight: 700;
	font-size: 30px;
	line-height: 30px;
	/* identical to box height */
	text-align: center;
	color: white;
	background: linear-gradient(135deg, #71b7e6, #9b59b6);
	border: none;
}


 #contact #contact-map{
	background: rgba(0, 0, 0, 0.1);
	box-shadow: 50px 50px 50px rgba(0, 0, 0, 0.5);
}


#contact iframe{
	width: 100%;
	height: 92%;
}
/* CONTACT CSS END--------------------------------------------------------------------------------------------------------------------------------------------------- */

